PARTED(8)

NOME
GNU Parted - ferramenta para manipulação de partições

SINOPSE
parted [opções] [dispositivo [comando [opções...]...]]

DESCRIÇÃO
Esta página de manual descreve brevemente o comando parted. A documentação completa é distribuída junto ao código-fonte no formato GNU Info; veja abaixo.

O parted é uma ferramenta para particionamento de discos e redimensionamento de partições. Sua função é criar, destruir, redimensionar, mover e copiar partições ext2, ext3, linux-swap, FAT e FAT32. Isso é útil para criar espaço para um novo sistema operacional, reorganizar o uso do disco e copiar dados para um novo disco rígido.

OPÇÕES

-h, --help
    exibe a mensagem de ajuda.

-i, --interactive
    onde necessário, pede a intervenção do usuário.

-s, --script
    nunca pede a intervenção do usuário.

-v, --version
    exibe a versão.

COMANDOS

[dispositivo]
    O dispositivo de bloco da partição.

[comando [opções]]
    Especifica um comando ao parted. Se nenhum comando é fornecido, o parted irá para o prompt de comando. Os comandos são:

    check partition
        faz uma checagem simples em partição

    cp source [dispositivo] dest
        copia o sistema de arquivos da partição source em source-device (ou o dispositivo atual se nenhum outro dispositivo for especificado) para a partição dest do dispositivo atual.

    help [comando]
        imprime a ajuda geral, ou ajuda sobre o [comando] se especificado

    mkfs partition fs-type
        cria o sistema de arquivos fs-type em partition. fs-type pode ser "FAT", "ext2" ou "linux-swap"

    mklabel label-type
        cria um novo disklabel (tabela de partições) de label-type. label-type pode ser "bsd", "gpt", "loop", "mac", "mips", "msdos", "pc98" ou "sun"

    mkpart part-type [fs-type] start end
        cria uma partição part-type com o sistema de arquivos fs-type (se especificado), com início em start e fim em end (em megabytes). part-type pode ser "primary", "logical" ou "extended"

    mkpartfs part-type fs-type start end
        cria a partição part-type com o sistema de arquivos fs-type com início em start e fim em end (em megabytes).

    move partition start end
        move partition para iniciar em start e terminar em end. Nota: mover nunca muda o minor number

    name partition name
        configura o nome da partition para name. Esta opção funciona somente em disklabels Mac e PC98. O nome pode ser colocado entre aspas, se necessário

    print
        exibe a tabela de partições

    quit
        sai do parted

    resize partition start end
        redimensiona o sistema de arquivos da partition com início em start e fim em end megabytes

    rm partition
        apaga partition

    select device
        seleciona device para editar como o dispositivo atual. device deve usualmente ser um dispositivo de disco rígido do Linux, mas não pode ser uma partição, software de dispositivo raid ou um volume lógico LVM se isso for necessário

    set partition flag state
        muda o estado do flag na partition para state. As flags suportadas são "boot", "root", "swap", "hidden", "raid", "lvm" e "lba". state deve ser "on" ou "off

PROBLEMAS
Relate bugs para <bug-parted@gnu.org>

VEJA TAMBÉM
fdisk(8), mkfs(8), O parted está completamente documentado no manual GNU partitioning software disponível via Info system.

AUTOR
Esta página de manual foi escrita por Timshel Knoll <timshel@pobox.com>, para o sistema Debian GNU/Linux (mas pode ser usada por terceiros).

TRADUZIDO em 25/04/2002.
Fábio Minami <minami@brturbo.com> (tradução)